Class Specialization
EPatternBranching
Represents the ePatternBranching algorithm of Davila and Rajasekaran.
Note: There are various known problems with the motif finding in SeqAn. We plan to fix this in an upcoming release.

MotifFinder

EPatternBranching

MotifFinder<TValue, EPatternBranching, TRng>
Include Headers
seqan/find_motif.h
Parameters

TValue | The type of sequences to be analyzed. Types: AminoAcid, Dna

Remarks
The EPatternBranching algorithm is an extended version of the well-known PatternBranching algorithm which was developed by Price et al. It is a heuristic algorithm such as Projection and uses a pattern-based approach. The algorithm searches in the space of possible motifs. The basic concept of EPatternBranching remains the same as in the original PatternBranching algorithm Starting from each l-mer x in the input sequences the algorithm iteratively searches around the vicinities of x and finds the best neighbors by applying a specific function called bestNeighbors. At the end of each step, it selects those patterns from the set of best neighbors that fulfill a particular condition and that are therefore qualified for being a motif instance.
Specialization of
MotifFinder
Metafunctions

Value | Type of the items in the container or behind an iterator. (MotifFinder)

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate. (MotifFinder)
findMotif | Represents the main function which is used to start the search for noticeable motif patterns. (MotifFinder)
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned. (MotifFinder)
motifCount | Gets number of motifs in the MotifFinder. (MotifFinder)

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00